<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">

<script src="<?= BASE_ASSET; ?>/js/jquery.hotkeys.js"></script>

<script type="text/javascript">
//This page is a result of an autogenerated content made by running test.html with firefox.
function domo(){
 
   // Binding keys
   $('*').bind('keydown', 'Ctrl+a', function assets() {
       window.location.href = BASE_URL + '/administrator/Asn_talenta/add';
       return false;
   });

   $('*').bind('keydown', 'Ctrl+f', function assets() {
       $('#sbtn').trigger('click');
       return false;
   });

   $('*').bind('keydown', 'Ctrl+x', function assets() {
       $('#reset').trigger('click');
       return false;
   });

   $('*').bind('keydown', 'Ctrl+b', function assets() {

       $('#reset').trigger('click');
       return false;
   });
}

jQuery(document).ready(domo);
</script>
<!-- Content Header (Page header) -->
<section class="content-header">
   <h1>
      <?= cclang('asn_talenta') ?><small><?= cclang('list_all'); ?></small>
   </h1>
   <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li class="active"><?= cclang('asn_talenta') ?></li>
   </ol>
</section>
<!-- Main content -->
<section class="content">
   <div class="row" >
      
      <div class="col-md-12">
         <div class="box box-warning">
            <div class="box-body ">
               <!-- Widget: user widget style 1 -->
               <div class="box box-widget widget-user-2">
                  <!-- Add the bg color to the header using any of the bg-* classes -->
                  <div class="widget-user-header ">
                     <div class="row pull-right">
                        <?php is_allowed('asn_talenta_add', function(){?>
                        <a class="btn btn-flat btn-success btn_add_new" id="btn_add_new" title="<?= cclang('add_new_button', [cclang('asn_talenta')]); ?>  (Ctrl+a)" href="<?=  site_url('administrator/asn_talenta/add'); ?>"><i class="fa fa-plus-square-o" ></i> <?= cclang('add_new_button', [cclang('asn_talenta')]); ?></a>
                        <?php }) ?>
                        <?php is_allowed('asn_talenta_export', function(){?>
                        <a class="btn btn-flat btn-success" title="<?= cclang('export'); ?> <?= cclang('asn_talenta') ?> " href="<?= site_url('administrator/asn_talenta/export?q='.$this->input->get('q').'&f='.$this->input->get('f')); ?>"><i class="fa fa-file-excel-o" ></i> <?= cclang('export'); ?> XLS</a>
                        <?php }) ?>
                                             </div>
                     <div class="widget-user-image">
                        <img class="img-circle" src="<?= BASE_ASSET; ?>/img/list.png" alt="User Avatar">
                     </div>
                     <!-- /.widget-user-image -->
                     <h3 class="widget-user-username"><?= cclang('asn_talenta') ?></h3>
                     <h5 class="widget-user-desc"><?= cclang('list_all', [cclang('asn_talenta')]); ?>  <i class="label bg-yellow"><?= $asn_talenta_counts; ?>  <?= cclang('items'); ?></i></h5>
                  </div>

                  <form name="form_asn_talenta" id="form_asn_talenta" action="<?= base_url('administrator/asn_talenta/index'); ?>">
                  


                     <!-- /.widget-user -->
                  <div class="row">
                     <div class="col-md-8">
                                                <div class="col-sm-2 padd-left-0 " >
                           <select type="text" class="form-control chosen chosen-select" name="bulk" id="bulk" placeholder="Site Email" >
                                                         <option value="delete">Delete</option>
                                                      </select>
                        </div>
                        <div class="col-sm-2 padd-left-0 ">
                           <button type="button" class="btn btn-flat" name="apply" id="apply" title="<?= cclang('apply_bulk_action'); ?>"><?= cclang('apply_button'); ?></button>
                        </div>
                                                <div class="col-sm-3 padd-left-0  " >
                           <input type="text" class="form-control" name="q" id="filter" placeholder="<?= cclang('filter'); ?>" value="<?= $this->input->get('q'); ?>">
                        </div>
                        <div class="col-sm-3 padd-left-0 " >
                           <select type="text" class="form-control chosen chosen-select" name="f" id="field" >
                              <option value=""><?= cclang('all'); ?></option>
                               <option <?= $this->input->get('f') == 'nip' ? 'selected' :''; ?> value="nip">Nip</option>
                            <option <?= $this->input->get('f') == 'nama' ? 'selected' :''; ?> value="nama">Nama</option>
                            <option <?= $this->input->get('f') == 'golongan' ? 'selected' :''; ?> value="golongan">Golongan</option>
                            <option <?= $this->input->get('f') == 'pangkat' ? 'selected' :''; ?> value="pangkat">Pangkat</option>
                            <option <?= $this->input->get('f') == 'jabatan' ? 'selected' :''; ?> value="jabatan">Jabatan</option>
                            <option <?= $this->input->get('f') == 'lokasi_kerja' ? 'selected' :''; ?> value="lokasi_kerja">Lokasi Kerja</option>
                            <option <?= $this->input->get('f') == 'unit_kerja' ? 'selected' :''; ?> value="unit_kerja">Unit Kerja</option>
                            <option <?= $this->input->get('f') == 'opd' ? 'selected' :''; ?> value="opd">Opd</option>
                            <option <?= $this->input->get('f') == 'avatar' ? 'selected' :''; ?> value="avatar">Avatar</option>
                            <option <?= $this->input->get('f') == 'status' ? 'selected' :''; ?> value="status">Status</option>
                            <option <?= $this->input->get('f') == 'created_by' ? 'selected' :''; ?> value="created_by">Created By</option>
                            <option <?= $this->input->get('f') == 'created_at' ? 'selected' :''; ?> value="created_at">Created At</option>
                           </select>
                        </div>
                        <div class="col-sm-1 padd-left-0 ">
                           <button type="submit" class="btn btn-flat" name="sbtn" id="sbtn" value="Apply" title="<?= cclang('filter_search'); ?>">
                           Filter
                           </button>
                        </div>
                        <div class="col-sm-1 padd-left-0 ">
                           <a class="btn btn-default btn-flat" name="reset" id="reset" value="Apply" href="<?= base_url('administrator/asn_talenta');?>" title="<?= cclang('reset_filter'); ?>">
                           <i class="fa fa-undo"></i>
                           </a>
                        </div>
                     </div>
                     <div class="col-md-4">
                        <div class="dataTables_paginate paging_simple_numbers pull-right" id="example2_paginate" >
                           <?= $pagination; ?>
                        </div>
                     </div>
                  </div>
                  <div class="table-responsive"> 

                  <br>
                  <table class="table table-bordered table-striped dataTable">
                     <thead>
                        <tr class="">
                                                     <th>
                            <input type="checkbox" class="flat-red toltip" id="check_all" name="check_all" title="check all">
                           </th>
                           <th data-field="nama"data-sort="1" data-primary-key="0"> <?= cclang('nama') ?> | <?= cclang('nip') ?> | <?= cclang('jabatan') ?></th>
                           <th data-field="pangkat"data-sort="1" data-primary-key="0"> <?= cclang('pangkat') ?> | <?= cclang('golongan') ?></th>
                           <th data-field="lokasi_kerja"data-sort="1" data-primary-key="0"> <?= cclang('lokasi_kerja') ?></th>
                           <!-- <th data-field="unit_kerja"data-sort="1" data-primary-key="0"> <?= cclang('unit_kerja') ?></th>
                           <th data-field="opd"data-sort="1" data-primary-key="0"> <?= cclang('opd') ?></th> -->
                           <th data-field="avatar"data-sort="1" data-primary-key="0"> <?= cclang('avatar') ?></th>
                           <th data-field="status"data-sort="1" data-primary-key="0"> <?= cclang('kuadran') ?> | <?= cclang('kompetensi') ?> | <?= cclang('kinerja') ?></th>
                           <!-- <th data-field="status"data-sort="1" data-primary-key="0"> <?= cclang('status') ?></th> -->
                           <th data-field="created_at"data-sort="1" data-primary-key="0"> <?= cclang('created_at') ?></th>
                           <th>Action</th>                        </tr>
                     </thead>
                     <tbody id="tbody_asn_talenta">
                     <?php foreach($asn_talentas as $asn_talenta): ?>
                        <tr>
                                                       <td width="5">
                              <input type="checkbox" class="flat-red check" name="id[]" value="<?= $asn_talenta->id_asn_talenta; ?>">
                           </td>
                           <td><span class="label label-primary" style="font-size:14px;margin-bottom: 5px;letter-spacing: 1px;"><?= _ent($asn_talenta->nama); ?></span><br>
                               <span class="label label-info" style="letter-spacing: 1px;"><?= _ent($asn_talenta->nip); ?></span><br>
                               <span class="label label-warning" style="letter-spacing: 1px;"><?= _ent($asn_talenta->jabatan); ?></span>
                           </td>
                           <td><span class="list_group-pangkat"><span class="label label-success" style="letter-spacing: 1px;"><?= _ent($asn_talenta->pangkat); ?></span> <br> <span class="label label-success" style="letter-spacing: 1px;text-transform: uppercase;font-family: 'Helvetica Neue',Helvetica,Arial,sans-serif;"><?= _ent($asn_talenta->golongan); ?></span></span></td>
                           <td style="text-transform: uppercase;font-family: 'Helvetica Neue',Helvetica,Arial,sans-serif;font-size:12px;"><span class="list_group-lokasi_kerja"><?= _ent($asn_talenta->lokasi_kerja); ?></span></td> 
                           <!-- <td><span class="list_group-unit_kerja"><?= _ent($asn_talenta->unit_kerja); ?></span></td> 
                           <td><span class="list_group-opd"><?= _ent($asn_talenta->opd); ?></span></td>  -->
                           <td><img style="vertical-align: middle;width: auto;height: 50px;border-radius: 10%;" src="<?= _ent($asn_talenta->avatar); ?>"></td> 
                   
                           <td style="text-transform: uppercase;font-family: 'Helvetica Neue',Helvetica,Arial,sans-serif; font-weight: bold;"><center><span <?php $kuadran = _ent($asn_talenta->kuadran); if ($kuadran <4) {
                              echo 'class="w3-badge w3-large w3-red"';
                           } else if ($kuadran < 7){
                              echo 'class="w3-badge w3-large w3-orange"';
                           } else {
                              echo 'class="w3-badge w3-large w3-green"';
                           } ?>><?= _ent($asn_talenta->kuadran); ?></span><br>
                           <?php if ($asn_talenta->kompetensi < 39.99 ){
                              echo '<span class="label label-danger">&nbsp;<font style="font-weight: normal;font-size: 10px">KOM </font>| '._ent($asn_talenta->kompetensi).'&nbsp;</span> <br>';
                           } else if ($asn_talenta->kompetensi < 69.99) {
                              echo '<span class="label label-warning">&nbsp;<font style="font-weight: normal;font-size: 10px">KOM </font>| '._ent($asn_talenta->kompetensi).'&nbsp;</span> <br>';
                           } else {
                              echo '<span class="label label-success">&nbsp;<font style="font-weight: normal;font-size: 10px">KOM </font>| '._ent($asn_talenta->kompetensi).'&nbsp;</span> <br>';
                           }?> 
                           
                           <?php if ($asn_talenta->kinerja < 39.99) {
                              echo '<span class="label label-danger">&nbsp;<font style="font-weight: normal;font-size: 11px">KJA </font>| '._ent($asn_talenta->kinerja).'&nbsp;</span>';
                           } else if ($asn_talenta->kinerja < 69.99){
                              echo '<span class="label label-warning">&nbsp;<font style="font-weight: normal;font-size: 11px">KJA </font>| '._ent($asn_talenta->kinerja).'&nbsp;</span>';
                           } else {
                              echo '<span class="label label-success">&nbsp;<font style="font-weight: normal;font-size: 11px">KJA </font>| '._ent($asn_talenta->kinerja).'&nbsp;</span>';
                           } ?> </center> </td> 
                           <!-- <td><span class="list_group-status">
                              < ?php if ($asn_talenta->status == 'aktif') {
                                 echo '<span class="label label-info" style="font-size:11px;margin-bottom: 5px;letter-spacing: 1px;">'.$asn_talenta->status.'</span>';
                              } else {
                                 echo '<span class="label label-danger" style="font-size:11px;margin-bottom: 5px;letter-spacing: 1px;">'.$asn_talenta->status.'</span>';
                              } ?>
                           </td> -->
                           <!-- <td>< ?php if  ($asn_talenta->created_by) {

                             echo '<span class="label label-primary" style="font-size:11px;margin-bottom: 5px;letter-spacing: 1px;">'.$asn_talenta->name.'</span>'; }?> </td> -->
                             
                           <td><span class="list_group-created_at"><span class="label label-warning"><i class="fa fa-clock-o"></i> <?= _ent($asn_talenta->created_at); ?></span></span></td> 
                           <td width="200">
                            
                                                              <?php is_allowed('asn_talenta_view', function() use ($asn_talenta){?>
                                                              <a href="<?= site_url('administrator/asn_talenta/view/' . $asn_talenta->id_asn_talenta); ?>" class="btn btn-success" data-toggle="tooltip" data-placement="top" title="<?= cclang('view_button'); ?>"><i class="fa fa-newspaper-o"></i></a>
                              <?php }) ?>
                              <?php is_allowed('asn_talenta_update', function() use ($asn_talenta){?>
                              <!-- <a href="<?= site_url('administrator/asn_talenta/edit/' . $asn_talenta->id_asn_talenta); ?>" class="btn btn-primary" data-toggle="tooltip" data-placement="top" title="<?= cclang('update_button'); ?>"><i class="fa fa-edit"></i></a> -->
                              <?php }) ?>
                              <?php is_allowed('asn_talenta_menilai', function() use ($asn_talenta){?>
                              <a href="<?= site_url('administrator/asn_talenta/penilaian_by_nip?nip=' . $asn_talenta->nip).'&kelas='.$asn_talenta->kelas_jabatan.'&nilai='.$asn_talenta->nilai_jabatan; ?>" class="btn btn-info" data-toggle="tooltip" data-placement="top" title="Penilaian ASN"><i class="fa fa-check-square"></i></a>
                              <?php }) ?>
                              <?php if ($asn_talenta->tipe_eselon == 'II') { ?>
                               <a href="<?= base_url('administrator/asn_talenta/penilaian_by_nip_tanpa_rekam_jejak?nip=').$asn_talenta->nip.'&kelas='.$asn_talenta->kelas_jabatan.'&nilai='.$asn_talenta->nilai_jabatan ?>" class="kualitatif btn" style="background-color: #6989d3;color: #F9F5EB;" data-toggle="tooltip" data-placement="top" title="Penilaian ASN Tanpa Rekam Jejak" id="<?= $asn_talenta->nip ?>"><i class="fa fa-edit"></i></a>
                             <?php } ?>
                              <?php is_allowed('asn_talenta_delete', function() use ($asn_talenta){?>
                              <a href="javascript:void(0);" class="btn btn-danger remove-data" data-toggle="tooltip" data-placement="top" title="<?= cclang('remove_button'); ?>"><i class="fa fa-close"></i></a>
                               <?php }) ?>

                           </td>                        </tr>
                      <?php endforeach; ?>
                      <?php if ($asn_talenta_counts == 0) :?>
                         <tr>
                           <td colspan="100">
                           Asn Talenta data is not available
                           </td>
                         </tr>
                      <?php endif; ?>

                     </tbody>
                  </table>
                  </div>
               </div>
               <hr>
             
            </div>
            </form>            
            <!--/box body -->
         </div>
         <!--/box -->
      </div>
   </div>
</section>
<!-- /.content -->

<!-- Page script -->

<script>
  $(document).ready(function(){
   
    (function(){

})()
      
      
      $('.table tbody tr').each(function(){
         var row = $(this);
         (function(){
    var nip = row.find('.list_group-nip');

})()
      })
      
    $('.remove-data').click(function(){

      var url = $(this).attr('data-href');

      swal({
          title: "<?= cclang('are_you_sure'); ?>",
          text: "<?= cclang('data_to_be_deleted_can_not_be_restored'); ?>",
          type: "warning",
          showCancelButton: true,
          confirmButtonColor: "#DD6B55",
          confirmButtonText: "<?= cclang('yes_delete_it'); ?>",
          cancelButtonText: "<?= cclang('no_cancel_plx'); ?>",
          closeOnConfirm: true,
          closeOnCancel: true
        },
        function(isConfirm){
          if (isConfirm) {
            document.location.href = url;            
          }
        });

      return false;
    });


    $('#apply').click(function(){

      var bulk = $('#bulk');
      var serialize_bulk = $('#form_asn_talenta').serialize();

      if (bulk.val() == 'delete') {
         swal({
            title: "<?= cclang('are_you_sure'); ?>",
            text: "<?= cclang('data_to_be_deleted_can_not_be_restored'); ?>",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#DD6B55",
            confirmButtonText: "<?= cclang('yes_delete_it'); ?>",
            cancelButtonText: "<?= cclang('no_cancel_plx'); ?>",
            closeOnConfirm: true,
            closeOnCancel: true
          },
          function(isConfirm){
            if (isConfirm) {
               document.location.href = BASE_URL + '/administrator/asn_talenta/delete?' + serialize_bulk;      
            }
          });

        return false;

      } else if(bulk.val() == '')  {
          swal({
            title: "Upss",
            text: "<?= cclang('please_choose_bulk_action_first'); ?>",
            type: "warning",
            showCancelButton: false,
            confirmButtonColor: "#DD6B55",
            confirmButtonText: "Okay!",
            closeOnConfirm: true,
            closeOnCancel: true
          });

        return false;
      }

      return false;

    });/*end appliy click*/


    //check all
    var checkAll = $('#check_all');
    var checkboxes = $('input.check');

    checkAll.on('ifChecked ifUnchecked', function(event) {   
        if (event.type == 'ifChecked') {
            checkboxes.iCheck('check');
        } else {
            checkboxes.iCheck('uncheck');
        }
    });

    checkboxes.on('ifChanged', function(event){
        if(checkboxes.filter(':checked').length == checkboxes.length) {
            checkAll.prop('checked', 'checked');
        } else {
            checkAll.removeProp('checked');
        }
        checkAll.iCheck('update');
    });
    initSortable('asn_talenta', $('table.dataTable'));
  }); /*end doc ready*/
</script>